Debian Bug report logs - #651693
gdm3: Please make it possible to specify X server options again

version graph

Package: gdm3; Maintainer for gdm3 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gdm3 is src:gdm3.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 11 Dec 2011 12:45:15 UTC

Severity: important

Found in version gdm3/3.0.4-4

Fixed in version gdm3/3.4.1-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-x@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#651693; Package gdm3. (Sun, 11 Dec 2011 12:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to debian-x@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 11 Dec 2011 12:45:20 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdm3: Please make it possible to specify X server options again
Date: Sun, 11 Dec 2011 13:20:43 +0100
Package: gdm3
Version: 3.0.4-4
Severity: important

Hi,

some time ago I wrote in [1]:
| Getting a core file
| 
|     Using gdm3: The idea is to tweak the daemon’s LocalXserverCommand
| setting, adding the -core option. As of gdm3 2.30, the defaults can be
| found in /usr/share/gdm/gdm.schemas. Sample /etc/gdm3/daemon.conf
| excerpt:
| 
| [daemon]
| LocalXserverCommand=/usr/bin/Xorg -br -verbose -audit 0 -novtswitch -core

 1. http://x.debian.net/howto/use-gdb.html

With the current gdm3 version, it appears that:
 - this option is gone.
 - there's no way to specify an extra (here: -core) X server option (that
   looks hardcoded in daemon/gdm-server.c).

Please make it possible to specify some extra options again.

Mraw,
KiBi.




Added tag(s) pending. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 11:03:24 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Mon, 25 Jun 2012 21:20:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 25 Jun 2012 21:21:36 GMT) Full text and rfc822 format available.

Message #12 received at 651693-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 651693-close@bugs.debian.org
Subject: Bug#651693: fixed in gdm3 3.4.1-2
Date: Mon, 25 Jun 2012 21:07:44 +0000
Source: gdm3
Source-Version: 3.4.1-2

We believe that the bug you reported is fixed in the latest version of
gdm3, which is due to be installed in the Debian FTP archive:

gdm3_3.4.1-2.debian.tar.gz
  to main/g/gdm3/gdm3_3.4.1-2.debian.tar.gz
gdm3_3.4.1-2.dsc
  to main/g/gdm3/gdm3_3.4.1-2.dsc
gdm3_3.4.1-2_amd64.deb
  to main/g/gdm3/gdm3_3.4.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651693@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gdm3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jun 2012 20:18:38 +0200
Source: gdm3
Binary: gdm3
Architecture: source amd64
Version: 3.4.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gdm3       - Next generation GNOME Display Manager
Closes: 651693 675809 678961
Changes: 
 gdm3 (3.4.1-2) unstable; urgency=low
 .
   * Fix typo in dconf-tools dependency version. Closes: #678961.
   * Use --no-create-home and --quiet for addgroup/adduser calls.
     Closes: #675809.
   * 05_debug_xserver_core.patch: patch from upstream git. Make the X
     server dump core when debugging is enabled. Closes: #651693.
   * 06_first_vt.patch, 20_switch_kill_greeter.patch: refreshed.
   * 90_config_comments.patch: more comments with useful options.
   * Add references to patches.
   * 02_xnest_wrapper.patch: disabled.
   * 04_reload_config.patch: patch from upstream git. Get SIGHUP to
     actually reload the configuration.
   * gdm3.init: send SIGHUP to get reload to work.
Checksums-Sha1: 
 3cc763fab0792dc768bcbf26d8449142e74e745e 2089 gdm3_3.4.1-2.dsc
 30696707ddaa28e336bba70c6742960a14fa1c61 103742 gdm3_3.4.1-2.debian.tar.gz
 caced304631de4b96941b283a7c5bd9197e0231f 1493776 gdm3_3.4.1-2_amd64.deb
Checksums-Sha256: 
 fee7f4da6e6a7992427a7ea2d5753c7a7ab0633e9bdeee5061d03699148f5b5b 2089 gdm3_3.4.1-2.dsc
 84fac785951d2d301d8941fa39949c000bde8120940281670b343792cf52490d 103742 gdm3_3.4.1-2.debian.tar.gz
 18472cc1f2d95bed88b7e165365f88c6da9b708e50d485ff657b06d0c4615db0 1493776 gdm3_3.4.1-2_amd64.deb
Files: 
 b20164571b52df3a5afe81672e227a6a 2089 gnome optional gdm3_3.4.1-2.dsc
 e105c653f86cc1fe8081c57842032d5f 103742 gnome optional gdm3_3.4.1-2.debian.tar.gz
 c1e3b230d6eeffc359ff491c80c18160 1493776 gnome optional gdm3_3.4.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFP6MSdrSla4ddfhTMRAmZLAKCYnbvGKouBmzF8OwCkMgn/JbmevACfdtc6
TMoCxtELphHBipxfbabD87k=
=Xu7A
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Aug 2012 07:37:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:36:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.